Subject: bug#21329: 25.0.50; Flyspell minor mode produces weird effects on keyboard macros

From: Stefan Monnier <[email-masked]>
Date: Sat, 29 Aug 2015 22:06:27 -0400

>> >> One possible problem is that input-pending-p might return t in cases where
>> >> the pending input is "not significant", in the sense that read-event
>> >> won't return it (maybe because it will consume it internally as in the
>> >> case of event bounds to special-event-map, IIRC).
>> > I thought about ignoring out these kinds of input in the loop that
>> > waits.
>> Then you have another side-effect, which is to delay the processing of
>> those events.
> But that's a problem we already have, since read-event doesn't return
> them, right?  Or am I missing something?

AFAI, read-event does process those events bound in special-event-map
(and then keeps waiting for further events).

>> That's why I think we'd want to "simply" extract all that read-event
>> does upto (but not including) the actual consumption (and return) of
>> the event.
> No sure I'm following you: the first thing read-event does is call
> read_char, so how can we avoid reading events that way?

Right, we'd need to split read_char (and probably a good deal more).

        Stefan